# $Revision: 1.30 $, $Date: 2011/03/31 18:10:19 $
#
# Conditional build:
%bcond_without	mysql		# build without mysql support
#
Summary:	Transport Control Protocol Superserver
Summary(pl.UTF-8):	Superserwer Transport Control Protocol
Name:		ucspi-tcp
Version:	0.88
Release:	9
Group:		Networking/Daemons
# http://cr.yp.to/distributors.html
License:	Public Domain
Source0:	http://cr.yp.to/ucspi-tcp/%{name}-%{version}.tar.gz
# Source0-md5:	39b619147db54687c4a583a7a94c9163
Source1:	ftp://ftp.innominate.org/pub/pape/djb/%{name}-%{version}-man.tar.gz
# Source1-md5:	693be34da89cd5244cef8ae30b4dc6a4
Source2:	daemontools-tcprules
Patch0:		%{name}-%{version}-mysql.patch.pld
Patch1:		%{name}-glibc.patch
Patch2:		http://lamer.maexotic.de/maex/creative/software/ucspi-tcp/0.88-recordio/recordio.diff
URL:		http://cr.yp.to/ucspi-tcp.html
%{?with_mysql:BuildRequires:	mysql-devel}
# make and stat from coreutils are for building tcprules
Requires:	coreutils
Requires:	make
Conflicts:	daemontools < 0.76-8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# qmail.spec uses this dir
%define 	tcprules 	/etc/tcprules.d

%description
UNIX Client/Server Program Interface - something like inetd with
add-ons.

%description -l pl.UTF-8
UNIX Client/Server Program Interface - coś w rodzaju superserwera
inetd z małymi dodatkami.

%prep
%setup -q -a1
mv ucspi-tcp-%{version}-man man
%{?with_mysql:%patch0}
%patch1 -p0
%patch2 -p1

%build
echo "%{__cc} %{rpmcflags} %{?with_mysql:-I%{_includedir}/mysql}" > conf-cc
echo "%{_prefix}" > conf-home
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_mandir}/man{1,3,5},%{tcprules}}

install addcr argv0 auto-str date@ delcr finger@ fixcrio \
	http@ mconnect mconnect-io rblsmtpd recordio rts tcpcat \
	tcpclient tcprules tcprulescheck tcpserver who@ \
	$RPM_BUILD_ROOT%{_bindir}

install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE2} $RPM_BUILD_ROOT%{tcprules}/Makefile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README SYSDEPS TARGETS TODO VERSION
%{tcprules}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ucspi-tcp.spec,v $
Revision 1.30  2011/03/31 18:10:19  arekm
- release 9

Revision 1.29  2008/11/10 18:59:08  glen
- release 8

Revision 1.28  2008/05/05 20:23:36  glen
- /etc/tcprules.d moved here from daemontools (why it was there anyway?)
- cleanup build proccess; rel 7

Revision 1.27  2008-04-27 10:03:26  qboosh
- ucspi-tcp 0.88 is Public Domain since 20071228

Revision 1.26  2007-02-12 22:09:18  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.24  2006/01/24 12:23:33  witekfl
- corrected URL for patch2

Revision 1.23  2005/10/10 16:49:40  glen
- add recordio patch, rel 6

Revision 1.22  2004/11/26 14:12:08  glen
- added mysql bcond

Revision 1.21  2003/07/08 10:28:55  qboosh
- no macros in URL field, other cleanups

Revision 1.20  2003/05/28 13:02:25  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/03/31 14:25:09  mguevara
- License changed to DJB http://cr.yp.to/distributors.html
  summary:
  In the current state the package should not be distributed
  as a binary
  The package (both src and binary) should not be distributed
  after termination date which is 2003-07-01
- release 5.1 (version 0.88)

Revision 1.17  2003/03/31 10:38:33  tjbynum
- glibc 2.3.x patch. STBR.

Revision 1.16  2002/11/30 23:00:29  juandon
- new %doc

Revision 1.15  2002/08/19 18:14:54  tjbynum
- properly modified mysql patch.

Revision 1.14  2002/03/24 23:58:43  serek
- added mysql support.

Revision 1.13  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:15  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/07/14 17:33:11  mkierus
- corrected documentation path

Revision 1.9  2001/05/03 01:14:04  qboosh
- adapterized and made spec %debug ready or added using %rpm*flags macros

Revision 1.8  2000/12/12 14:26:52  serek
- new release: added external sourced man pages.

Revision 1.7  2000/10/26 15:40:14  serek
- new version,
- rblsmtpd added to package, we have to make new release of qmail.spec!

Revision 1.6  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.5  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  1999/11/02 13:30:21  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

Revision 1.2  1999/10/07 20:04:07  waszi
- tcpserver moved to /usr/sbin

Revision 1.1  1999/09/01 20:19:14  waszi
- initial rpm release
